<?php
$lDreamBoxObj->loadBoutiques();
$lDreamBoxObj->loadChannels();
$lDreamBoxObj->loadRecordings();
$lDreamBoxObj->loadMovies();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
  <title><?php echo Settings::getDreamboxName() . " - " . Settings::getProgramName() . " (" . Settings::getVersionNumber() . ")"; ?></title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="apple-mobile-web-app-capable" content="yes" />
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta name="author" content="Joshua (TheYOSH) Rubingh"/>
  <meta name="copyright" content="<?php echo date("Y"); ?> TheYOSH" />
  <meta name="keywords" content="Restream video from a Dreambox over the internet and mobile phones" />
  <meta name="description" content="Restream video from a Dreambox over the internet and mobile phones" />
  <link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
  <?php $xajax->printJavascript(); // XAJAX part 2 ?>
  <link rel="stylesheet" href="css/mobile.css" />
  <link rel="stylesheet" href="iphone/jquery.mobile-1.1.0.min.css" />
  <script type="text/javascript" src="js/jquery-1.7.2.min.js"></script>
  <script type="text/javascript" src="js/javascript.mobile.js"></script>
</head>
<body>
<div data-role="page" id="channels">
	<div data-role="header" data-position="fixed">
		<h1>Channels</h1>
		<?php include('iphone/options.link.template.php') ?>
	</div>
	<div data-role="content">
		<ul data-role="listview" data-filter="true">
			<?php
			if (!$lDreamBoxObj->isOnline()) {
				echo '<p style="text-align: center"><br /><span class="error">The Dreambox is currently offline!</span></p>';
			} else {
				$lBoutiques = $lDreamBoxObj->getBoutiques();
				$lFirst = true;
				if (!empty($lBoutiques)) {
					foreach ($lBoutiques as $lBoutique) {
						if ($lBoutique->getChannelCount() > 0) echo "<li data-role=\"list-divider\">". $lBoutique->getName() ." <span class=\"ui-li-count\">" . $lBoutique->getChannelCount() . "</span></li>\n";
						foreach ($lBoutique->getChannels() as $lChannel) {
							if (substr($lChannel->getID(),0,5) == "1:64:") {
								if (!$lFirst) {
									echo "</ul></li>";
								} else {
									$lFirst = false;
								}
								echo "<li id=\"" . $lChannel->getID() . "\" >" . $lChannel->getName() . "<ul data-filter=\"true\" data-role=\"listview\">\n";
							} else {
								echo "<li id=\"" . $lChannel->getID() . "\"><a href=\"#watch\" onclick=\"zapTo('" . Utils::JSSave($lChannel->getID()) . "','" . Utils::JSSave($lChannel->getName()) . "')\"><h3>" . $lChannel->getName() . "</h3></a></li>\n";
							}
						}
						echo "</ul></li>";
					}
				}
			}
			?>
		</ul>
	</div>
	<?php include('iphone/footer.navbar.template.php') ?>
</div>
<div data-role="page" id="recordings">
	<div data-role="header" data-position="fixed">
		<h1>Recordings</h1>
		<?php include('iphone/options.link.template.php') ?>
	</div>
	<div data-role="content">
		<ul data-role="listview" data-filter="true">
			<?php
			if (!$lDreamBoxObj->isOnline()) {
				echo '<p style="text-align: center"><br /><span class="error">The Dreambox is currently offline!</span></p>';
			} else {
				$lRecordings = $lDreamBoxObj->getRecordings();
				if (!empty($lRecordings)) {
					echo "<li data-role=\"list-divider\">Recordings <span class=\"ui-li-count\">" . count($lRecordings) . "</span></li>\n";
					foreach ($lRecordings as $lRecording) {
						echo "<li id=\"" . $lRecording->getID() . "\"><a href=\"#watch\" onclick=\"zapTo('" . Utils::JSSave($lRecording->getID()) . "','" . Utils::JSSave($lRecording->getName()) . "')\"><h3>" . $lRecording->getName() . "</h3></a></li>\n";
					}
				}
			}
			?>
		</ul>
	</div>
	<?php include('iphone/footer.navbar.template.php') ?>
</div>
<div data-role="page" id="movies">
	<div data-role="header" data-position="fixed">
		<h1>Movies</h1>
		<?php include('iphone/options.link.template.php') ?>
	</div>
	<div data-role="content">
		<ul data-role="listview" data-filter="true">
			<?php
			$lMovies = $lDreamBoxObj->getMovies();
            if (!empty($lMovies)) {
                echo "<li data-role=\"list-divider\">Movies <span class=\"ui-li-count\">" . count($lMovies) . "</span></li>\n";
                if (count($lMovies) == 0) {
                	echo "<li id=\"NoMovies\"><h3>No movies found or enabled</h3></li>\n";
                } else {
                	foreach ($lMovies as $lMovie) {
						if ($lMovie->getName() != "") echo "<li id=\"" . $lMovie->getID() . "\"><a href=\"#watch\" onclick=\"zapTo('" . Utils::JSSave($lMovie->getID()) . "','" . Utils::JSSave($lMovie->getName()) . "')\"><h3>" . $lMovie->getName() . "</h3></a></li>\n";
            		}
                }
            }
			?>
		</ul>
	</div>
	<?php include('iphone/footer.navbar.template.php') ?>
</div>
<div data-role="page" id="watch">
	<div data-role="header" data-position="fixed">
		<h1>Watch</h1>
		<?php include('iphone/options.link.template.php') ?>
	</div>
	<div data-role="content">
		<h1 id="watchChannel"></h1>
		<div id="iOSPlayer"></div>
		<div id="ProgramInfo"><br /><br /><br /><br />Select a program to watch…</div>
		<div id="watchChannelLink"></div>
	</div>
	<?php include('iphone/footer.navbar.template.php') ?>
</div>
<script type="text/javascript" src="iphone/jquery.mobile-1.1.0.min.js"></script>
<script type="text/javascript">
	<?php if (getAutoLoadEPG()) echo "gProgramGuideQueue = true;" ?>
	setTimeout(function(){xajax_action('loadReStream','epgfast');},1000);
	xajax_action('VLCStatus');
</script>
<?php if (Settings::getDebug()) echo "<div id=\"errorLog\" style=\"display:none\">Debug WINDOW</div>"; ?>
</body>
</html>